Katello - Bug #24127

Ul fails silently when uploading manifests produces warnings/errors
07/02/2018 12:07 PM - Toma$ Strachota

Status: Duplicate

Priority: Normal

Assignee: Tomas Strachota

Category: Subscriptions

Target version: Katello 3.7.1

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1596883

Description of problem:
When a user encounters a warning/error uploading a manifest, there appears to be no validation bubbling up to the Ul. The only clue
that "something went wrong" is that the user is taken immediately back to the Subscriptions page, and warnings in Monitor > Tasks

Note that it happens only when the import task finishes before the Ul polls for a running tasks. If the import task is fast enough
to complete in this gap, Ul doesn't show any toast notification. If it catches the task, warning is shown normally.

Only toast notifications are affected. There's a message in the notification drawer reporting an error that appears with some delay
eventually.

Version-Release number of selected component (if applicable):
6.4.0 snap 10

How reproducible:
Not 100%. It happens only when the import task finishes before the Ul polls for a running tasks.

Steps to Reproduce:

Do something which would trigger a validation error. Below is an example.
1. Create two orgs "Org A" and "Org B".

2. Switch to Org A

3. Go to Content > Subscriptions > Manage Manifest

4. Upload a manifest.

5. Switch to Org B

6. Attempt to upload the same manifest used in Org A.

Actual results:
User is silently taken back to Subscriptions page. No error messages, but no manifest upload status bar appears.
If user navigates to Monitor > Tasks, they will see the warning about bad manifest. This needs more visibility.

Expected results:
Errors bubble up to Ul

Additional info:
Surely there are other things which can trigger this, but nothing else has been explored. It would be quite worthwhile for dev to try out
a number of different permutations while fixing, and for QE to write up test cases.

Related issues:
Is duplicate of Katello - Bug #23063: RH subscriptions: trigger toast notific... Closed

History
https://bugzilla.redhat.com/show_bug.cgi?id=1596883

#1 - 07/02/2018 12:07 PM - Tomas Strachota
- Category changed from 111 to Subscriptions

- Target version set to 253

#2 - 07/02/2018 12:13 PM - Tomas Strachota

- Description updated

#3 - 07/02/2018 12:20 PM - Tomas Strachota

- Description updated

#4 - 07/10/2018 02:08 PM - Walden Raines

- Target version changed from 253 to Katello 3.7.0

- Triaged set to No

#5 - 07/11/2018 06:23 PM - Justin Sherrill

- Target version changed from Katello 3.7.0 to Katello 3.7.1

#6 - 07/12/2018 08:26 AM - Tomas Strachota
- Status changed from New to Assigned

- Assignee set to Tomas Strachota

#7 - 07/12/2018 03:29 PM - Walden Raines

- Status changed from Assigned to Duplicate

Duplicate of #23063

#8 - 07/12/2018 03:29 PM - Walden Raines
- Bugzilla link deleted (1596883)

#9 - 07/12/2018 03:29 PM - Walden Raines

- Is duplicate of Bug #23063: RH subscriptions: trigger toast notifications on errors added
